| Home | Libraries | People | FAQ | More

## Struct template max_pointer_plus_bits

boost::intrusive::max_pointer_plus_bits

## Synopsis

    // In header: <boost/intrusive/pointer_plus_bits.hpp>

    template<typename VoidPointer, std::size_t Alignment>
    struct max_pointer_plus_bits {

      // public data members
      static const std::size_t value;
    };

## Description

This trait class is used to know if a pointer can embed extra bits of information if it's going to be used to point to objects with an alignment of "Alignment" bytes.